import numpy as np
import pandas as pd
import matplotlib.pyplot as plt

# Constants
SAMPLING_FREQ = 100  # Hz
DT = 1 / SAMPLING_FREQ

if __name__ == '__main__':

    # ファイル読み込み
    gyro_data = pd.read_csv('./Gyroscope_turnleft.csv')

    # 角速度を積分
    angle_data = np.cumsum(gyro_data * DT) 

    # グラフ作成
    plt.xlabel('time (s)')
    plt.ylabel('angle x(rad)')
    plt.plot(angle_data['z'])
    
    plt.show()